Bug 963324 - adwaita theme makes gnome-boxes hard to read under Xfce
adwaita theme makes gnome-boxes hard to read under Xfce
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-themes-standard (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Cosimo Cecchi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 12:19 EDT by Jeff Bastian
Modified: 2014-02-05 16:23 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:23:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of Gnome Boxes under Xfce (207.24 KB, image/png)
2013-05-15 12:19 EDT, Jeff Bastian
no flags Details
screenshot of Gnome Boxes under Gnome (194.08 KB, image/png)
2013-05-15 12:36 EDT, Jeff Bastian
no flags Details
screenshot of Gnome Boxes list of machines under Xfce (95.87 KB, image/png)
2013-05-15 13:15 EDT, Jeff Bastian
no flags Details
screenshot of Gnome Boxes machine settings under Xfce (197.50 KB, image/png)
2013-05-15 13:16 EDT, Jeff Bastian
no flags Details
screenshot of Gnome Boxes with Greybird theme under Xfce (26.64 KB, image/png)
2013-05-15 16:51 EDT, Jeff Bastian
no flags Details

  None (edit)
Description Jeff Bastian 2013-05-15 12:19:56 EDT
Created attachment 748392 [details]
screenshot of Gnome Boxes under Xfce

Description of problem:
Gnome Boxes run in an Xfce desktop has black text on a very dark gray background.  It's almost unreadable unless you turn up the brightness to max, and even then it's barely legible.  See the attached screenshot.

Please use a higher contrast font.

I'm using the Clearlooks theme for Xfce (if that matters).

Version-Release number of selected component (if applicable):
gnome-boxes-3.6.3-1.fc18.x86_64
gtk2-engines-2.20.2-5.fc18.x86_64  (for Clearlooks)
xfce4-session-4.10.1-1.fc18.x86_64

How reproducible:
every time

Steps to Reproduce:
1. login to Xfce session
2. launch Gnome Boxes
  
Actual results:
some text is barely visible with black font on dark gray background

Expected results:
legible text

Additional info:
Comment 1 Jeff Bastian 2013-05-15 12:36:38 EDT
Created attachment 748395 [details]
screenshot of Gnome Boxes under Gnome

For comparison, here is Gnome Boxes running under Gnome.  It looks much better with white text on a black background, and with medium gray boxes around the two options "Enter URL" and "Select a file"
Comment 2 Jeff Bastian 2013-05-15 13:15:43 EDT
Created attachment 748416 [details]
screenshot of Gnome Boxes list of machines under Xfce

The list of virtual machines also has black text on dark gray.
Comment 3 Jeff Bastian 2013-05-15 13:16:34 EDT
Created attachment 748417 [details]
screenshot of Gnome Boxes machine settings under Xfce

One final screenshot showing the Gnome Boxes machine settings under Xfce.
Comment 4 Jeff Bastian 2013-05-15 16:51:26 EDT
Created attachment 748499 [details]
screenshot of Gnome Boxes with Greybird theme under Xfce

I switched my gtk3 theme to Greybird and suddenly everything looks a lot nicer!

ln -s /usr/share/themes/Greybird/gtk-3.0 ~/.config/gtk-3.0


Why does Adwaita look so terrible?
Comment 5 Zeeshan Ali 2013-06-04 10:45:58 EDT
Shouldn't this bug be against Adwaita as per comment#4 ?
Comment 6 Jeff Bastian 2013-06-04 11:33:23 EDT
You're right; moving to gnome-themes-standard component.
Comment 7 Jeff Bastian 2013-06-04 11:50:13 EDT
This is still a problem in Fedora 19 Beta.

Unfortunately, the Greybird theme is also broken in F19 Beta; see bug 967840

I've switched to the Radiance theme now.
  ~/.config/gtk-3.0 -> /usr/share/themes/Radiance/gtk-3.0
Comment 8 Fedora End Of Life 2013-12-21 08:33:10 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2014-02-05 16:23:13 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.